%define upstream_name    Log-Lite
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Log info in local file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Module Feature:

1. auto create file named by the first argument.

2. auto cut log file everyday.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 534081
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 shlomif <shlomif> 0.100.0-1.mga4
+ Revision: 476257
- update to 0.10

* Wed May 29 2013 shlomif <shlomif> 0.50.0-1.mga4
+ Revision: 432502
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 369224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 kharec <kharec> 0.40.0-1.mga3
+ Revision: 253321
- update to 0.04

* Thu Feb 23 2012 kharec <kharec> 0.30.0-1.mga2
+ Revision: 212648
- imported package perl-Log-Lite


* Thu Feb 23 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
